description

# Match class Null safety

A result from searching within a string.

A Match or an Iterable of Match objects is returned from Pattern matching methods.

The following example finds all matches of a RegExp in a String and iterates through the returned iterable of Match objects.

    RegExp exp = new RegExp(r"(\w+)");
    String str = "Parse my string";
    Iterable<Match> matches = exp.allMatches(str);
    for (Match m in matches) {
      String match = m.group(0);
      print(match);
    }

The output of the example is:

    Parse
    my
    string

Some patterns, regular expressions in particular, may record substrings that were part of the matching. These are called groups in the Match object. Some patterns may never have any groups, and their matches always have zero groupCount.

Implementers
  - RegExpMatch

## Constructors

Match()

## Properties

end → int
  Returns the index in the string after the last character of the match.
  read-only
groupCount → int
  Returns the number of captured groups in the match. [...]
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
input → String
  The string on which this match was computed.
  read-only
pattern → Pattern
  The pattern used to search in input.
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
start → int
  Returns the index in the string where the match starts.
  read-only

## Methods

group(int group) → String?
  Returns the string matched by the given `group`. [...]
groups(List<int> groupIndices) → List<String?>
  Returns a list of the groups with the given indices. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited
operator [](int group) → String?
  Returns the string matched by the given `group`. [...]